Package: groovy.org.codenarc.rule.naming

## [Groovy] Class PackageNameMatchesFilePathRule

- groovy.org.codenarc.rule.naming.PackageNameMatchesFilePathRule

- A package source file's path should match the package declaration.

  To find the package-relevant sub-path in the file path the groupId needs to be configured. It is expected to appear in every package declaration.
  Authors:
    Simon Tost

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `groupId`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List<Violation> violations)`
    `` | `boolean` | `isReady()`

- - ### Property Detail

    - #### String groupId

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List<Violation> violations)

    - #### @Override boolean isReady()